#include <stdio.h>
#include <stdbool.h>

void print(int x)
{
  if(x < 0)
  {
    putchar('-');
    x *= -1;
  }
  bool haveSeenNonzeroDigit = false;
  for(int i = 10000; i >= 1; i /= 10)
  {
    int a = x/i;
    if(a != 0 || haveSeenNonzeroDigit || i == 1)
    {
      putchar('0' + a);
      haveSeenNonzeroDigit = true;
    }
    x -= i*a;
  }
  
  putchar('\n');
}

int main( void )
{
  print(12342);
  print(102);
  print(76);
  print(0);
  print(-321);
  print(-23042);
  
  return 0;
}
